<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/pass-type-id",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Pass type Ids"
}
-->

# Pass type Ids

Create, download, and revoke pass type ids for app development and distribution.

## Discussion

The `passTypeId` resource represents a pass type certificates unique identifier that you can register, modify, and delete. You need a pass type ID before you can create a pass type certificate with the [Certificates](/documentation/AppStoreConnectAPI/certificates) resource.

## Topics

### Managing pass type Ids

[`GET /v1/certificates/{id}/passTypeId`](/documentation/AppStoreConnectAPI/GET-v1-certificates-_id_-passTypeId)

List all PassTypeID Ids for a specific certificate.

[`GET /v1/certificates/{id}/relationships/passTypeId`](/documentation/AppStoreConnectAPI/GET-v1-certificates-_id_-relationships-passTypeId)

List all PassTypeIDId Ids for a specific certificate.

[`GET /v1/passTypeIds`](/documentation/AppStoreConnectAPI/GET-v1-passTypeIds)

Find and list pass type IDs that are registered to your team.

[`GET /v1/passTypeIds/{id}`](/documentation/AppStoreConnectAPI/GET-v1-passTypeIds-_id_)

Get information about a specific pass type ID.

[`GET /v1/passTypeIds/{id}/certificates`](/documentation/AppStoreConnectAPI/GET-v1-passTypeIds-_id_-certificates)

List all certificates for a specific pass type ID.

[`GET /v1/passTypeIds/{id}/relationships/certificates`](/documentation/AppStoreConnectAPI/GET-v1-passTypeIds-_id_-relationships-certificates)

List all certificate IDs for a specific pass type ID.

[`PATCH /v1/passTypeIds/{id}`](/documentation/AppStoreConnectAPI/PATCH-v1-passTypeIds-_id_)

Update a specific pass type ID’s name.

[`POST /v1/passTypeIds`](/documentation/AppStoreConnectAPI/POST-v1-passTypeIds)

Create a new identifier for use with a pass type ID certificate using a certificate signing request.

[`DELETE /v1/passTypeIds/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-passTypeIds-_id_)

Delete a pass type ID that is used for app distribution.

### Object and data types

[`CertificatePassTypeIdLinkageResponse`](/documentation/AppStoreConnectAPI/CertificatePassTypeIdLinkageResponse)

A response body that contains the ID of a single related resource.

[`PassTypeId`](/documentation/AppStoreConnectAPI/PassTypeId)

A pass type identifier used to create and manage Wallet passes such as boarding passes, coupons, or loyalty cards.

[`PassTypeIdCertificatesLinkagesResponse`](/documentation/AppStoreConnectAPI/PassTypeIdCertificatesLinkagesResponse)

A response containing the resource identifiers of signing certificates associated with a pass type identifier.

[`PassTypeIdCreateRequest`](/documentation/AppStoreConnectAPI/PassTypeIdCreateRequest)

The request body for registering a new pass type identifier for Wallet pass signing.

[`PassTypeIdResponse`](/documentation/AppStoreConnectAPI/PassTypeIdResponse)

A response containing a single Wallet pass type identifier.

[`PassTypeIdUpdateRequest`](/documentation/AppStoreConnectAPI/PassTypeIdUpdateRequest)

The request body you use to update a pass type id update request.

[`PassTypeIdsResponse`](/documentation/AppStoreConnectAPI/PassTypeIdsResponse)

A response containing a list of Wallet pass type identifiers registered in your account.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)